Lintian Fixes - glbinding

Ready changes

Summary

Lintian Result

Diff

diff --git a/debian/changelog b/debian/changelog
index 697fd15..b35ef81 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,19 @@
+glbinding (2.1.1-3) UNRELEASED; urgency=medium
+
+  * Trim trailing whitespace.
+  * Bump debhelper from deprecated 9 to 10.
+  * Update renamed lintian tag names in lintian overrides.
+  * Remove unnecessary 'Testsuite: autopkgtest' header.
+  * Update Vcs-* headers from URL redirect.
+  * Use canonical URL in Vcs-Git.
+  * Drop unnecessary dh arguments: --parallel
+  * Remove obsolete field Name from debian/upstream/metadata (already present in
+    machine-readable debian/copyright).
+  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
+  * Avoid explicitly specifying -Wl,--as-needed linker flag.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 20 Jan 2023 23:28:29 -0000
+
 glbinding (2.1.1-2) unstable; urgency=medium
 
   * Team upload
diff --git a/debian/compat b/debian/compat
index ec63514..f599e28 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-9
+10
diff --git a/debian/control b/debian/control
index 389dea8..90725f7 100644
--- a/debian/control
+++ b/debian/control
@@ -2,16 +2,15 @@ Source: glbinding
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: libs
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 9),
-               libglfw3-dev 
+               debhelper (>= 10~),
+               libglfw3-dev
 Build-Depends-Indep: doxygen,
                      graphviz
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glbinding.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glbinding.git
+Vcs-Browser: https://salsa.debian.org/science-team/glbinding
+Vcs-Git: https://salsa.debian.org/science-team/glbinding.git
 Homepage: https://github.com/cginternals/glbinding
 
 Package: libglbinding2
@@ -24,7 +23,7 @@ Description: cross-platform C++ binding for OpenGL
  glbinding leverages modern C++11 features like enum classes,
  lambdas, and variadic templates, instead of relying on macros;
  all OpenGL symbols are real functions and variables.
- . 
+ .
  It provides type-safe parameters, per feature API header, lazy
  function resolution, multi-context and multi-thread support,
  global and local function callbacks, meta information about the
@@ -45,7 +44,7 @@ Description: development files for glbinding
  glbinding leverages modern C++11 features like enum classes,
  lambdas, and variadic templates, instead of relying on macros;
  all OpenGL symbols are real functions and variables.
- . 
+ .
  It provides type-safe parameters, per feature API header, lazy
  function resolution, multi-context and multi-thread support,
  global and local function callbacks, meta information about the
@@ -66,7 +65,7 @@ Description: documentation for glbinding
  glbinding leverages modern C++11 features like enum classes,
  lambdas, and variadic templates, instead of relying on macros;
  all OpenGL symbols are real functions and variables.
- . 
+ .
  It provides type-safe parameters, per feature API header, lazy
  function resolution, multi-context and multi-thread support,
  global and local function callbacks, meta information about the
diff --git a/debian/glbinding-tools.lintian-overrides b/debian/glbinding-tools.lintian-overrides
index 5caa77e..ecaf3bd 100644
--- a/debian/glbinding-tools.lintian-overrides
+++ b/debian/glbinding-tools.lintian-overrides
@@ -1,3 +1,3 @@
 # Upstream does not provide manpages for the tools yet.
 # See: https://github.com/cginternals/glbinding/issues/204
-binary-without-manpage
+no-manual-page
diff --git a/debian/rules b/debian/rules
index 0085d56..91f2aa0 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,10 +6,6 @@
 # Hardening options.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Possible overlinkage in the tools.
-# See: https://github.com/cginternals/glbinding/issues/203
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
 BUILD_OPTIONS = \
 	-DBUILD_SHARED_LIBS=ON \
 	-DOPTION_SELF_CONTAINED=OFF \
@@ -23,7 +19,7 @@ BUILD_OPTIONS += -DOPTION_BUILD_TESTS=OFF
 endif
 
 %:
-	dh $@ --parallel --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -- $(BUILD_OPTIONS) -DOPTION_BUILD_DOCS=OFF
diff --git a/debian/tests/glbinding-tests b/debian/tests/glbinding-tests
index cb381c7..3c2814c 100755
--- a/debian/tests/glbinding-tests
+++ b/debian/tests/glbinding-tests
@@ -5,11 +5,11 @@
 
 set -e
 
-# Presence of $ADTTMP implies that someone will handle cleanup for us, so we
+# Presence of $AUTOPKGTEST_TMP implies that someone will handle cleanup for us, so we
 # can avoid duplicating the effort (signal handling, etc.) here.
-if [ -z "$ADTTMP" ]
+if [ -z "$AUTOPKGTEST_TMP" ]
 then
-	echo "Required envvar \"$ADTTMP\"is not set" >&2
+	echo "Required envvar \"$AUTOPKGTEST_TMP\"is not set" >&2
 	exit 1
 fi
 
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
index 234f4bb..20fe66c 100644
--- a/debian/upstream/metadata
+++ b/debian/upstream/metadata
@@ -1,6 +1,5 @@
 Bug-Database: https://github.com/cginternals/glbinding/issues
 Bug-Submit: https://github.com/cginternals/glbinding/issues/new
-Name: glbinding
 Repository: git@github.com:cginternals/glbinding.git
 Repository-Browse: https://github.com/cginternals/glbinding
 

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/01/dcaa82ac325f2deebf7ad03a753f16e18eef5d.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/0e/a9892e055d02fec0e5d70046487a72a9abe188.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/81/55f4c88d72c88fd859e16a1fda2f83f3407bc7.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/e2/2931c7041e29c054101d74ddc776bbefc11cdf.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/e6/06a6dba8c80c391a6d804250e8f39a56d0ea0d.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/19/3f3bb308899f4deda7c4f522546137784ff2a9.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/1a/32d31589a8e39f4792d5caead40eab9f1849c1.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/b4/ff84ee2274a6f9ac017e9cd223f6ab43597603.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/c3/54c7bea3c84c73ae63fb4d015d4764de74a6f5.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/da/bd55fc3d136dfd482a32afef934d646563e275.debug

No differences were encountered between the control files of package glbinding-doc

No differences were encountered between the control files of package glbinding-tools

Control files of package glbinding-tools-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 1a32d31589a8e39f4792d5caead40eab9f1849c1 b4ff84ee2274a6f9ac017e9cd223f6ab43597603 c354c7bea3c84c73ae63fb4d015d4764de74a6f5 dabd55fc3d136dfd482a32afef934d646563e275 01dcaa82ac325f2deebf7ad03a753f16e18eef5d 0ea9892e055d02fec0e5d70046487a72a9abe188 8155f4c88d72c88fd859e16a1fda2f83f3407bc7 e606a6dba8c80c391a6d804250e8f39a56d0ea0d

No differences were encountered between the control files of package libglbinding-dev

No differences were encountered between the control files of package libglbinding2

Control files of package libglbinding2-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 193f3bb308899f4deda7c4f522546137784ff2a9 e22931c7041e29c054101d74ddc776bbefc11cdf

Run locally

More details

Full run details